Update Model
curl --request PATCH \
--url https://control-plane.kubiya.ai/api/v1/models/{model_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"label": "<string>",
"provider": "<string>",
"model_type": "<string>",
"logo": "<string>",
"description": "<string>",
"enabled": true,
"recommended": true,
"compatible_runtimes": [
"<string>"
],
"capabilities": {},
"pricing": {},
"display_order": 123
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/models/{model_id}"
payload = {
"value": "<string>",
"label": "<string>",
"provider": "<string>",
"model_type": "<string>",
"logo": "<string>",
"description": "<string>",
"enabled": True,
"recommended": True,
"compatible_runtimes": ["<string>"],
"capabilities": {},
"pricing": {},
"display_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
value: '<string>',
label: '<string>',
provider: '<string>',
model_type: '<string>',
logo: '<string>',
description: '<string>',
enabled: true,
recommended: true,
compatible_runtimes: ['<string>'],
capabilities: {},
pricing: {},
display_order: 123
})
};
fetch('https://control-plane.kubiya.ai/api/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"value": "<string>",
"label": "<string>",
"provider": "<string>",
"model_type": "<string>",
"logo": "<string>",
"description": "<string>",
"enabled": true,
"recommended": true,
"compatible_runtimes": [
"<string>"
],
"capabilities": {},
"pricing": {},
"display_order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Update Model
Update an existing LLM model.
Only accessible by authenticated users (org admins recommended).
PATCH
/
api
/
v1
/
models
/
{model_id}
Update Model
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
application/json
Schema for updating an existing LLM model
Response
Successful Response
Schema for LLM model responses
Was this page helpful?
⌘I